#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module
%bcond_with	tests	# test target [not all dependencies are currently available in PLD]

Summary:	Crypthography library for Python 2
Summary(pl.UTF-8):	Biblioteka Cryptography dla Pythona 2
Name:		python-cryptography
Version:	1.3.1
Release:	2
License:	Apache v2.0 or BSD
Group:		Libraries/Python
#Source0Download: https://pypi.python.org/simple/cryptography/
Source0:	https://pypi.python.org/packages/source/c/cryptography/cryptography-%{version}.tar.gz
# Source0-md5:	bc8148d2ff2d80fef8ef2d2e856b3a7f
URL:		https://cryptography.io/
BuildRequires:	openssl-devel >= 0.9.8
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
%if %{with python2}
BuildRequires:	python-cffi >= 1.4.1
BuildRequires:	python-devel >= 1:2.6
BuildRequires:	python-enum34
BuildRequires:	python-pyasn1 >= 0.1.8
BuildRequires:	python-setuptools >= 11.3
BuildRequires:	python-six >= 1.4.1
%if %{with tests}
BuildRequires:	python-cryptography_vectors
%if "%{py_ver}" >= "2.7"
BuildRequires:	python-hypothesis >= 1.11.4
%endif
BuildRequires:	python-idna >= 2.0
BuildRequires:	python-ipaddress
BuildRequires:	python-iso8601
BuildRequires:	python-pretend
BuildRequires:	python-pyasn1_modules
BuildRequires:	python-pytest
%endif
%endif
%if %{with python3}
BuildRequires:	python3-cffi >= 1.4.1
BuildRequires:	python3-devel >= 1:3.3
%if "%{py3_ver}" < "3.4"
BuildRequires:	python3-enum34
%endif
BuildRequires:	python3-pyasn1 >= 0.1.8
BuildRequires:	python3-setuptools >= 11.3
BuildRequires:	python3-six >= 1.4.1
%if %{with tests}
BuildRequires:	python3-cryptography_vectors
BuildRequires:	python3-hypothesis >= 1.11.4
BuildRequires:	python3-idna >= 2.0
BuildRequires:	python3-iso8601
BuildRequires:	python3-pretend
BuildRequires:	python3-pyasn1_modules
BuildRequires:	python3-pytest
%endif
%endif
Requires:	python-cffi >= 1.4.1
Requires:	python-six >= 1.4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
cryptography is a package designed to expose cryptographic recipes and
primitives to Python developers. Our goal is for it to be your
"cryptographic standard library". It supports Python 2.6-2.7, Python
3.2+, and PyPy.

cryptography includes both high level recipes, and low level
interfaces to common cryptographic algorithms such as symmetric
ciphers, message digests and key derivation functions.

This package contains Python 2 modules.

%description -l pl.UTF-8
cryptography to pakiet zaprojektowany w celu udostępnienia funkcji i
obiektów kryptograficznych programistom Pythona. Celem jest
dostarczenie "standardowej biblioteki kryptograficznej". Obsługuje
Pythona 2.6-2.7, Pythona 3.2+ oraz PyPy.

cryptography zawiera zarówno funkcje wysokopoziomowe, jak i
niskopoziomowe interfejsy do popularnych algorytmów kryptograficznych,
takich jak szyfry symetryczne, skróty wiadomości czy funkcje
wyprowadzające klucze.

Ten pakiet zawiera moduły Pythona 2.

%package -n python3-cryptography
Summary:	Crypthography library for Python 3
Summary(pl.UTF-8):	Biblioteka Cryptography dla Pythona 3
Group:		Libraries/Python
Requires:	python3-cffi >= 1.4.1
%if "%{py3_ver}" < "3.4"
BuildRequires:	python3-enum34
%endif
Requires:	python3-six >= 1.4.1

%description -n python3-cryptography
cryptography is a package designed to expose cryptographic recipes and
primitives to Python developers. Our goal is for it to be your
"cryptographic standard library". It supports Python 2.6-2.7, Python
3.2+, and PyPy.

cryptography includes both high level recipes, and low level
interfaces to common cryptographic algorithms such as symmetric
ciphers, message digests and key derivation functions.

This package contains Python 3 modules.

%description -n python3-cryptography -l pl.UTF-8
cryptography to pakiet zaprojektowany w celu udostępnienia funkcji i
obiektów kryptograficznych programistom Pythona. Celem jest
dostarczenie "standardowej biblioteki kryptograficznej". Obsługuje
Pythona 2.6-2.7, Pythona 3.2+ oraz PyPy.

cryptography zawiera zarówno funkcje wysokopoziomowe, jak i
niskopoziomowe interfejsy do popularnych algorytmów kryptograficznych,
takich jak szyfry symetryczne, skróty wiadomości czy funkcje
wyprowadzające klucze.

Ten pakiet zawiera moduły Pythona 3.

%prep
%setup -q -n cryptography-%{version}

%build
export CFLAGS="%{rpmcflags}"

%if %{with python2}
%py_build %{?with_tests:test}
%endif

%if %{with python2}
%py3_build %{?with_tests:test}
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%py_install

%py_postclean
%endif

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS.rst README.rst LICENSE LICENSE.APACHE LICENSE.BSD
%dir %{py_sitedir}/cryptography
%{py_sitedir}/cryptography/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat
%{py_sitedir}/cryptography/hazmat/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/backends
%{py_sitedir}/cryptography/hazmat/backends/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/backends/commoncrypto
%{py_sitedir}/cryptography/hazmat/backends/commoncrypto/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/backends/openssl
%{py_sitedir}/cryptography/hazmat/backends/openssl/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/bindings
%{py_sitedir}/cryptography/hazmat/bindings/*.py[co]
%attr(755,root,root) %{py_sitedir}/cryptography/hazmat/bindings/_*.so
%dir %{py_sitedir}/cryptography/hazmat/bindings/commoncrypto
%{py_sitedir}/cryptography/hazmat/bindings/commoncrypto/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/bindings/openssl
%{py_sitedir}/cryptography/hazmat/bindings/openssl/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/primitives/interfaces
%{py_sitedir}/cryptography/hazmat/primitives/interfaces/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/primitives
%{py_sitedir}/cryptography/hazmat/primitives/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/primitives/asymmetric
%{py_sitedir}/cryptography/hazmat/primitives/asymmetric/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/primitives/ciphers
%{py_sitedir}/cryptography/hazmat/primitives/ciphers/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/primitives/kdf
%{py_sitedir}/cryptography/hazmat/primitives/kdf/*.py[co]
%dir %{py_sitedir}/cryptography/hazmat/primitives/twofactor
%{py_sitedir}/cryptography/hazmat/primitives/twofactor/*.py[co]
%dir %{py_sitedir}/cryptography/x509
%{py_sitedir}/cryptography/x509/*.py[co]
%{py_sitedir}/cryptography-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-cryptography
%defattr(644,root,root,755)
%doc AUTHORS.rst README.rst LICENSE LICENSE.APACHE LICENSE.BSD
%dir %{py3_sitedir}/cryptography
%{py3_sitedir}/cryptography/*.py
%{py3_sitedir}/cryptography/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat
%{py3_sitedir}/cryptography/hazmat/*.py
%{py3_sitedir}/cryptography/hazmat/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/backends
%{py3_sitedir}/cryptography/hazmat/backends/*.py
%{py3_sitedir}/cryptography/hazmat/backends/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/backends/commoncrypto
%{py3_sitedir}/cryptography/hazmat/backends/commoncrypto/*.py
%{py3_sitedir}/cryptography/hazmat/backends/commoncrypto/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/backends/openssl
%{py3_sitedir}/cryptography/hazmat/backends/openssl/*.py
%{py3_sitedir}/cryptography/hazmat/backends/openssl/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/bindings
%{py3_sitedir}/cryptography/hazmat/bindings/*.py
%{py3_sitedir}/cryptography/hazmat/bindings/__pycache__
%attr(755,root,root) %{py3_sitedir}/cryptography/hazmat/bindings/_*.so
%dir %{py3_sitedir}/cryptography/hazmat/bindings/commoncrypto
%{py3_sitedir}/cryptography/hazmat/bindings/commoncrypto/*.py
%{py3_sitedir}/cryptography/hazmat/bindings/commoncrypto/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/bindings/openssl
%{py3_sitedir}/cryptography/hazmat/bindings/openssl/*.py
%{py3_sitedir}/cryptography/hazmat/bindings/openssl/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/primitives/interfaces
%{py3_sitedir}/cryptography/hazmat/primitives/interfaces/*.py
%{py3_sitedir}/cryptography/hazmat/primitives/interfaces/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/primitives
%{py3_sitedir}/cryptography/hazmat/primitives/*.py
%{py3_sitedir}/cryptography/hazmat/primitives/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/primitives/asymmetric
%{py3_sitedir}/cryptography/hazmat/primitives/asymmetric/*.py
%{py3_sitedir}/cryptography/hazmat/primitives/asymmetric/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/primitives/ciphers
%{py3_sitedir}/cryptography/hazmat/primitives/ciphers/*.py
%{py3_sitedir}/cryptography/hazmat/primitives/ciphers/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/primitives/kdf
%{py3_sitedir}/cryptography/hazmat/primitives/kdf/*.py
%{py3_sitedir}/cryptography/hazmat/primitives/kdf/__pycache__
%dir %{py3_sitedir}/cryptography/hazmat/primitives/twofactor
%{py3_sitedir}/cryptography/hazmat/primitives/twofactor/*.py
%{py3_sitedir}/cryptography/hazmat/primitives/twofactor/__pycache__
%dir %{py3_sitedir}/cryptography/x509
%{py3_sitedir}/cryptography/x509/*.py
%{py3_sitedir}/cryptography/x509/__pycache__
%{py3_sitedir}/cryptography-%{version}-py*.egg-info
%endif
%changelog
* Thu Dec 29 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-cryptography.git;a=log;h=auto/th/python-cryptography-1.3.1-2

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 8dd4e35
- python 3.6
- release 2 (by relup.sh)

* Thu Mar 24 2016 Jakub Bogusz <qboosh@pld-linux.org> 049a803
- updated to 1.3.1

* Sat Mar 05 2016 Elan Ruusamäe <glen@delfi.ee> 490a098
- openssl 1.0.2g rebuild
- release 3 (by relup.sh)

* Wed Mar 02 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> c30df12
- pyasn1 >= 0.1.8

* Wed Mar 02 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6c9680f
- rel 2; bump cffi deps

* Wed Mar 02 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> d198b5a
- up to 1.2.3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 762a0a7
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 2213323
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 6d1f8f7
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ca38062
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e802671
- python 3.5 rebuild
- release 2 (by relup.sh)

* Wed Apr 15 2015 Elan Ruusamäe <glen@delfi.ee> b2fc4ef
- update BR

* Wed Apr 15 2015 Elan Ruusamäe <glen@delfi.ee> 70c7ac1
- package new files

* Tue Apr 14 2015 Elan Ruusamäe <glen@delfi.ee> 226a2f8
- remove sources to simplify detecting unpackaged files

* Mon Apr 13 2015 Elan Ruusamäe <glen@delfi.ee> d6e7edf
- up to 0.8.2, dual licensed ASL 2.0 and BSD

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2b524bb
- python 3.4
- release 2 (by relup.sh)

* Sun Jul 13 2014 Jakub Bogusz <qboosh@pld-linux.org> 7f3a047
- updated to 0.5.2

* Mon Jul 07 2014 Jakub Bogusz <qboosh@pld-linux.org> cd19033
- updated to 0.5

* Wed Apr 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f7d8830
- up to 0.3; don't build again at %install

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 28a1518
- updated to 0.2.2

